unit adxRTDParameter_IMPL;

interface

uses
  SysUtils, Classes, ComServ, adxRTDParameter_TLB, adxRTDServ, StdVcl;

type
  TADX_RTDParameter = class(TadxRTDServer, IADX_RTDParameter);

  TRTDServerModule = class(TadxXLRTDServerModule)
    RTDTopic: TadxRTDTopic;
    function RTDTopicRefreshData(Sender: TObject): OleVariant;
  private
  protected
  public
  end;

implementation

{$R *.dfm}

uses Math;

function TRTDServerModule.RTDTopicRefreshData(Sender: TObject): OleVariant;
var
  Value: Integer;
begin
  try
    Value := StrToInt((Sender as TadxRTDTopic).String01);
  except
    Value := 50;
  end;
  Result := RandomRange(Value - 10, Value + 10);
end;

initialization
  TadxRTDFactory.Create(ComServer, TADX_RTDParameter, CLASS_ADX_RTDParameter, TRTDServerModule);

end.
